﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Calendar.Android;
using Telerik.XamarinForms.Input;
using Telerik.XamarinForms.InputRenderer.Android;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;

[assembly: ExportRenderer(typeof(RadCalendar), typeof(CustomCalendarRenderer))]


namespace Calendar.Android
{
    public class CustomCalendarRenderer : CalendarRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<RadCalendar> e)
        {
            base.OnElementChanged(e);

            if (Control != null)
            {
                // By default the calendar setstretch in week mode is true 
                this.Control.SetStretchInWeekMode(false);
                this.Control.InOriginalSizeForAllModes = false;
            }
        }
    }
}